#include <stdio.h>

int main(){
  char c = 'd';
  char x  ;
  int y =12  ;
  int *xp = &y;
char *cp = &c;


  printf("%lu\n", sizeof(x));
  printf("%lu\n", sizeof(y));
  printf("%lu\n", sizeof(xp));
  printf("%lu\n", sizeof(cp));
  printf("%p\n", xp);
  return 0;
}
